package cz.zweistein.df.soundsense.log;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.logging.Logger;

import cz.zweistein.df.soundsense.util.LoggerSource;

public class LogReader {
	private static Logger logger = LoggerSource.logger;
	
	private static int delay = 100;
	
	private BufferedReader br;

	public LogReader(String logFile) throws IOException {
		
		FileInputStream in = new FileInputStream(logFile);
		// reading as MS-DOS Latin-1 alphabet
		InputStreamReader isr = new InputStreamReader(in, "Cp850");
		this.br = new BufferedReader(isr);
		
		long length = new File(logFile).length();
		logger.info("Skipping "+length+" bytes.");
		br.skip(length);
		
	}
	
	/**
	 * Blocking read of next line of file.
	 * 
	 * Will return next line and if at end of file, will wait for
	 * new line to appear and then return it.
	 * 
	 * @return line of text
	 * @throws IOException
	 */
	public String getNextLine() throws IOException {
		
		while (true) {
			String  line =	this.br.readLine();
			if (line!= null) {
				return line;
			} else {
				 try {
					Thread.sleep(delay);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
		}
		
	}
}
