package cz.zweistein.df.soundsense.player;

import java.io.FileInputStream;
import java.io.InputStream;
import java.util.logging.Logger;

import cz.zweistein.df.soundsense.util.LoggerSource;

import javazoom.jl.player.Player;

public class MP3Thread implements Runnable {
	private static Logger logger = LoggerSource.logger;
	
	private PlayerManager managerCallback;
	private String fileName;
	
	public MP3Thread(PlayerManager manager, String fileName) {
		this.managerCallback = manager;
		this.fileName = fileName;
	}

	@Override
	public void run() {
		managerCallback.concurentSounds++;
		try {
			logger.finest("Concurent sounds: "+managerCallback.concurentSounds);
			logger.finest("Opening "+fileName);
			InputStream in = new FileInputStream(fileName);

			Player player = new Player(in);
			
			logger.fine("Playing "+fileName);
			player.play();
			logger.fine("Finished "+fileName);
			
		} catch (Exception e) {
			logger.severe(e.toString());
		} finally {
			managerCallback.concurentSounds--;
		}
	}

}
